<%
  function renderToc(node, className) {
    output = `<ul class="${className}">`

    node.children.forEach((child) => {
      output += '<li>'
      output += `<a href="#${child.id}">${child.title}</a>`
      output += renderToc(child)
      output += '</li>'
    })

    output += '</ul>'

    return output
  }
%>

<% if(data.toc) { %>
  <aside class="page-aside">
    <nav class="page-toc" id="tableofcontents" aria-labelledby="page-toc-heading">
      <h1 id="page-toc-heading" class="toc__title">Table of contents</h1>
      <%- renderToc(data.toc.children[0], "toc__list") %>
    </nav>
  </aside>
<% } %>
